﻿@model List<ARGNSContainerLineView>

<table class="table table-striped">
    <thead>
        <tr>
            <th><strong>@Shipment.CardCode</strong></th>
            <th><strong>@Shipment.CardName</strong></th>
            <th style="display: none;"><strong>@Shipment.BD</strong></th>
            <th style="display: none;"><strong>@Shipment.BE</strong></th>
            <th><strong>@Shipment.BDN</strong></th>
            <th style="display: none;"><strong>@Shipment.BR</strong></th>
            <th><strong>@Shipment.IC</strong></th>
            <th><strong>@Shipment.IN</strong></th>
            <th><strong>@PDM.Style</strong></th>
            <th><strong>Color</strong></th>
            <th><strong>@Shipment.Size</strong></th>
            <th><strong>@Shipment.WH</strong></th>
            <th><strong>@Shipment.ShipTo</strong></th>
            <th><strong>@Shipment.OrderedQty</strong></th>
            <th><strong>@Shipment.InContainer</strong></th>
            <th><strong>@Shipment.ShippedQty</strong></th>
            <th><strong>@Shipment.UT 1</strong></th>
            <th><strong>@Shipment.UT 2</strong></th>
            <th><strong>@Shipment.UT 3</strong></th>
            <th><strong>@Shipment.UT 4</strong></th>
        </tr>
    </thead>
    <tbody>
        @foreach (ARGNSContainerLineView item in Model)
        {
            string mBD = "BD" + item.LineId;
            string mBE = "BE" + item.LineId;
            string mBDN = "BDN" + item.LineId;
            string mBR = "BR" + item.LineId;
            string mStatus = "Status" + item.LineId;
            string mIC = "IC" + item.LineId;
            <tr>
                <td><input class="form-control" value='@(item.U_CardCode)' disabled="disabled" /></td>
                <td><input class="form-control" value='@(item.U_CardName)' disabled="disabled" /></td>
                <td style="display: none;"><input id='@mBD' class="form-control" value='@(item.U_ObjType)' disabled="disabled" hidden="hidden"/>
                    <input type="hidden" id="@item.LineId" />
                </td>
                <td style="display: none;"><input id='@mBE' class="form-control" value='@(item.U_BaseEntry)' disabled="disabled" /></td>
                <td><input id='@mBDN' class="form-control" value='@(item.U_BaseDocNo)' disabled="disabled" /></td>
                <td style="display: none;"><input id='@mBR' class="form-control" value='@(item.U_BaseLine)' disabled="disabled" /></td>
                <td><input id='@mIC' class="form-control" value='@(item.U_ItemCode)' disabled="disabled" /></td>
                <td><input class="form-control" value='@(item.U_ItemName)' disabled="disabled" style="overflow: hidden; text-overflow: ellipsis; white-space: nowrap; width:220px;" /></td>
                <td><input class="form-control" value='@(item.U_ARGNS_MOD)' disabled="disabled" /></td>
                <td><input class="form-control" value='@(item.U_ARGNS_COL)' disabled="disabled" /></td>
                <td><input class="form-control" value='@(item.U_ARGNS_SIZE)' disabled="disabled" /></td>
                <td><input class="form-control" value='@(item.U_WhsCode)' disabled="disabled" /></td>
                <td><input class="form-control" value='@(item.DraftLine.ShipToCode)' disabled="disabled" /></td>
                <td><input class="form-control" value='@(item.DraftLine.Quantity)' disabled="disabled" /></td>
                <td><input class="form-control" value='@(item.InContainerQty)' disabled="disabled" /></td>
                <td><input class="form-control" value='@(item.DraftLine.DelivrdQty)' disabled="disabled" /></td>
                <td><input class="form-control" value='@(item.U_UserTxt1)' disabled="disabled" /></td>
                <td><input class="form-control" value='@(item.U_UserTxt2)' disabled="disabled" /></td>
                <td><input class="form-control" value='@(item.U_UserTxt3)' disabled="disabled" /></td>
                <td><input class="form-control" value='@(item.U_UserTxt4)' disabled="disabled" /></td>
            </tr>
        }
    </tbody>
</table>